## kubuntu-notification-helper 10.10ubuntu5

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(es)

## kubuntu-notification-helper 10.04ubuntu4

=== debian/changelog ===
kubuntu-notification-helper (10.04ubuntu4) lucid; urgency=low

  [ Amichai Rothman ]
  * Correctify iterators for stability and optimization

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 14 Apr 2010 21:40:48 -0400

kubuntu-notification-helper (10.04ubuntu3) lucid; urgency=low

  [ Harald Sitter ]
  * Add screensaver support to the installerevent (LP: #558333)

  [ Jonathan Thomas ]
  * Do a one-time check for hooks on startup, so that hooks meant for the
    first boot actually show up. (LP: #557217)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 08 Apr 2010 12:29:38 +0200

kubuntu-notification-helper (10.04ubuntu2) lucid; urgency=low

  [ Harald Sitter ]
  * update-notifier-kde is arch all, not any

  [ Amichai Rothman ]
  * Fix update notification crashes
  * Fix update notification i18n support

 -- Amichai Rothman <amichai2@amichais.net>  Sun, 28 Mar 2010 22:56:45 +0300

kubuntu-notification-helper (10.04ubuntu1) lucid; urgency=low

  * Add transitional package for upgrades from update-notifier-kde
  * Change versioning scheme for the above

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 21 Feb 2010 10:34:34 -0500

kubuntu-notification-helper (0.4.95ubuntu1) lucid; urgency=low

  * New upstream release:
    - Minor optimizations/code cleanup
    - Add Spanish translation by EagleScreen, thanks.
  * Add apport-gtk as an alternative to apport-kde for the Recommends field
  * Update debian/copyright

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 11 Feb 2010 13:22:02 -0500

kubuntu-notification-helper (0.4.90ubuntu2) lucid; urgency=low

  [ Rafael Belmonte ]
  * debian/copyright
    - Upstream URL fixed: kcm-touchpad URL replaced by
      kubuntu-notification-helper URL. (Closes LP: #519334).
  * debian/control
    - Small spell fault fixed in long description: "Helpert" replaced by
      "Helper".

  [ Jonathan Thomas ]
  * Remove the include on kubuntu.mk from debian/rules, the i18n stuff is
    now built in to kubuntu's kde.pm
  * Bump pkg-kde-tools build-depend to 0.5.0
  * Add Amichai Rothman to debian/copyright
  * Bump Standards-Version to 3.8.4, no changes necessary

 -- Rafael Belmonte <EagleScreen@gmail.com>  Tue, 09 Feb 2010 19:01:29 +0000

kubuntu-notification-helper (0.4.90ubuntu1) lucid; urgency=low

  * New upstream beta release
  * Include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk so that when
    this gets to main it'll have translation support.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 12:28:15 -0500

kubuntu-notification-helper (0.4.85ubuntu1) lucid; urgency=low

  * Initial release.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 23 Nov 2009 19:42:34 -0500

=== debian/control ===
Source: kubuntu-notification-helper
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), kdelibs5-dev
Standards-Version: 3.8.4
Homepage: https://launchpad.net/kubuntu-notification-helper

Package: kubuntu-notification-helper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, konsole | x-terminal-emulator,
  install-package
Recommends: apport-kde | apport-gtk
Description: Kubuntu system notification helper
 Kubuntu Notification Helper is a daemon that presents various notifications
 to the user. It uses the KDE Daemon system as a base and presents the
 notifications using the KDE Notification system. It also includes a
 System Settings module for configuring the daemon. Kubuntu Notification
 Helper is lightweight and fully integrated with KDE.
 .
 Current features include:
  - Notifications for Apport crashes.
  - Notifications for upgrade information, when available.
  - Notifications for the availability restrictively-licensed packages.
  - Notifications for when upgrades require a reboot to complete.
  - All notifications can be hidden temporarily or permanently.

Package: update-notifier-kde
Section: kde
Architecture: all
Depends: ${misc:Depends}, kubuntu-notification-helper
Description: Apt status applet
 An applet to show a systray icon when apt has software updates to be
 installed, when Apport has crash reports, for reboot notification and
 for upgrade hook messages.
 .
 This is a dummy package to help with upgrades, and can be safely removed.

Package: kubuntu-notification-helper-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kubuntu-notification-helper (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: Kubuntu Notification Helper debugging symbols
 This package contains debugging symbols for Kubuntu Notification Helper.
 When Kubuntu Notification Helper crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a Kubuntu Notification Helper crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --dbg-package=kubuntu-notification-helper-dbg --with kde $@

## kubuntu-notification-helper 10.10ubuntu5

=== debian/changelog ===
kubuntu-notification-helper (10.10ubuntu5) maverick; urgency=low

  * Fix InstallEvent not being able to install packages as it passes
    an empty string as the first argument to qapt-batch. (LP: #644947)
  * Add a bzr-builddeb config to make it build a native package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 22 Sep 2010 14:19:19 +0200

kubuntu-notification-helper (10.10ubuntu4) maverick; urgency=low

  * Code style fixes
  * Add support for kopete-gcall to InstallEvent, since kopete-gcall depends
    on nonfree libs

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 03 Sep 2010 14:01:00 -0400

kubuntu-notification-helper (10.10ubuntu3) maverick; urgency=low

  * Change libavcodec-extra-52's description to "Video Encoding".
  * Add Vcs-* control fields.
  * Enable parallel building.
  * Fix treating removed (but not purged) packages as installed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 03 Aug 2010 14:36:29 +0200

kubuntu-notification-helper (10.10ubuntu2) maverick; urgency=low

  [ Harald Sitter ]
  * Install libavcodec-extra-52 instead of a transitional package (LP: #571139)

  [ Jonathan Thomas ]
  * Update the KCM's .desktop file for the new System Setting layout
  * Use KWindowSystem::forceActivateWindow to bring the install and hook
    dialogs on top when the user activates them
  * Use lazy initialization techniques to minimize the impact we have on the
    startup of kded
  * Use QStringBuilder for some minor string construction optimizations
  * Fix a memory leak where Hook objects would not get deleted until reboot
  * Port InstallEvent from install-package to qapt-batch
  * Add a dependency on qapt-batch, and remove the dependency on
    install-package
  * Remove now-unnecessary update-notifier-kde transitional package
  * Bump Standards-Version to 3.9.1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 20 Jul 2010 09:40:47 -0400

kubuntu-notification-helper (10.10ubuntu1) maverick; urgency=low

  * Add explicit build-depend on cmake since kdelibs5-dev no longer does

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 19:42:38 -0400

## kubuntu-notification-helper 11.04ubuntu3

=== src/daemon/CMakeLists.txt ===
set(notificationhelper_SRCS
    notificationhelpermodule.cpp
    event.cpp
    configwatcher.cpp
    apportevent/apportevent.cpp
    hookevent/hookevent.cpp
    hookevent/hookgui.cpp
    hookevent/hook.cpp
    installevent/installdbuswatcher.cpp
    installevent/installevent.cpp
    installevent/installgui.cpp
    rebootevent/rebootevent.cpp
)

QT4_ADD_DBUS_ADAPTOR(notificationhelper_SRCS org.kubuntu.NotificationHelper.xml
                     configwatcher.h ConfigWatcher)
QT4_ADD_DBUS_ADAPTOR(notificationhelper_SRCS installevent/org.kubuntu.restrictedInstall.xml
                     installevent/installdbuswatcher.h InstallDBusWatcher)

kde4_add_plugin(kded_notificationhelper ${notificationhelper_SRCS})

target_link_libraries(kded_notificationhelper ${KDE4_KIO_LIBS})

install(TARGETS kded_notificationhelper DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES notificationhelper.notifyrc DESTINATION ${DATA_INSTALL_DIR}/notificationhelper)
install(FILES notificationhelper.desktop  DESTINATION  ${SERVICES_INSTALL_DIR}/kded)

=== debian/changelog ===
kubuntu-notification-helper (11.04ubuntu3) natty; urgency=low

  [ Jonathan Thomas ]
  * Run apport-checkreports with python, otherwise KProcess leaves zombies

  [ Aurelien Gateau ]
  * Improve layout of hook dialog:
    - Make it impossible to shrink the dialog beyond its minimum size
    - Make the run button bigger, but centered instead of stretched
    - Changed label of OK button to Close

  [ Jonathan Riddell ]
  * Hide apportevent after it is activated

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 31 Mar 2011 17:31:41 +0100

kubuntu-notification-helper (11.04ubuntu2) natty; urgency=low

  * Only set gstreamer0.10-pitfdll as a multimedia codec on i386. Thanks to
    Alex Lowe for the patch (LP: #696184)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 05 Jan 2011 11:30:59 -0500

kubuntu-notification-helper (11.04ubuntu1) natty; urgency=low

  [ Jonathan Thomas ]
  * Add optional system tray notification option, as well as a tray icon/
    KDE popup notification combo option. With this option, the popup does not
    stay around forever, and does not have actions embedded in the popup.
    The popup retains persistency and embedded action buttons in popup-only
    mode.
  * Fix a small memory leak where the install dialog was not deleted when
    closed via the window decoration buttons.
  * Several small optimizations by passing QStrings by reference, as well as
    improved use of initializer lists.
  * Clarify that packages suggested for installation by InstallEvent may not
    always be suggested due to non-free-ness, but also due to Live CD size
    constraints, as in the case of KScreensaver. Also remove the bit saying
    that all packages suggested for installation are multimedia-related,
    since some of them aren't.
  * Split the packages suggested for installation into more groups, so that
    web browsers don't suggest CD codecs when installing flash, and vice-versa

  [ Jonathan Riddell ]
  * In src/daemon/installevent/installevent.cpp replace Xine plugin with
    GStreamer plugins

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Nov 2010 16:38:48 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), kdelibs5-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev
+Standards-Version: 3.9.1
 Homepage: https://launchpad.net/kubuntu-notification-helper
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-notification-helper/trunk
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-notification-helper/trunk
 
 Package: kubuntu-notification-helper
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, konsole | x-terminal-emulator,
-  install-package
+  qapt-batch
 Recommends: apport-kde | apport-gtk
 Description: Kubuntu system notification helper
  Kubuntu Notification Helper is a daemon that presents various notifications
@@ -26,17 +28,6 @@
   - Notifications for when upgrades require a reboot to complete.
   - All notifications can be hidden temporarily or permanently.
 
-Package: update-notifier-kde
-Section: kde
-Architecture: all
-Depends: ${misc:Depends}, kubuntu-notification-helper
-Description: Apt status applet
- An applet to show a systray icon when apt has software updates to be
- installed, when Apport has crash reports, for reboot notification and
- for upgrade hook messages.
- .
- This is a dummy package to help with upgrades, and can be safely removed.
-
 Package: kubuntu-notification-helper-dbg
 Section: debug
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --parallel --dbg-package=kubuntu-notification-helper-dbg --with kde $@

## kubuntu-notification-helper 11.10ubuntu1

=== debian/changelog ===
kubuntu-notification-helper (11.10ubuntu1) oneiric; urgency=low

  [ Jonathan Thomas ]
  * Check the result of QApt Batch in InstallEvent before we triumphantly
    declare success. (LP: #745133)
  * Make sure to initialize the KStatusNotifierItem object's pointer with 0,
    otherwise crashes will occur when trying to delete it due to the undefinied
    behavior of accessing an un-initialized pointer. Fixes a crash that occurs
    when k-n-h is configured to show only popup icons. (LP: #780718)
  * Use HIG-compliant labels for radio buttons. (No double negatives)

  [ Harald Sitter ]
  * Properly KProcess DisplayIf hook conditions as shell commands.
    Trying to evaluate a complex expression as program will make the process
    die and return as zombie! OMG! (LP: #515138)
  * If a hook is not valid and a notification is not required schedule the
    hook for deletion via event loop to save memory.
  * Use QLatin1String when useful in HookEvent 
  * In unused distupgradevent do not leak KProcess on availability checks.
  * Nice fact about KProcess... when starting detached you can actually
    throw away the KProcess right away (or reuse it). Consequently do not
    heap the KProcess for terminal Hook invocation, but keep it on the stack.
  * Bump standards version to 3.9.2

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 25 Sep 2011 20:10:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://launchpad.net/kubuntu-notification-helper
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-notification-helper/trunk
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-notification-helper/trunk

## kubuntu-notification-helper 12.10ubuntu3

=== debian/changelog ===
kubuntu-notification-helper (12.10ubuntu3) quantal; urgency=low

  * src/daemon/installevent/installevent.cpp
    - Fix syntax, oops

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Aug 2012 14:44:08 +0100

kubuntu-notification-helper (12.10ubuntu2) quantal; urgency=low

  * src/daemon/installevent/installevent.cpp:
    - Check for multiarch packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Aug 2012 14:11:03 +0100

kubuntu-notification-helper (12.10ubuntu1) quantal; urgency=low

  * src/daemon/distupgradeevent/distupgradeevent.cpp:
    - Call kubuntu-devel-release-upgrade instead of directly running a
      python file out of a module, as python paths are subject to change
  * debian/control:
    - Update Vcs-Bzr lines to ~kubuntu-packagers
    - Depend on new package ubuntu-release-upgrader-qt (just a split of
      release upgrader code out of update-manager-kde)

 -- Michael Terry <mterry@ubuntu.com>  Mon, 02 Jul 2012 10:40:38 -0400

## kubuntu-notification-helper 13.04ubuntu1

=== debian/changelog ===
kubuntu-notification-helper (13.04ubuntu1) raring; urgency=low

  * Implement reboot on kdelibs upstream version changes (LP: #553182)
    kdelibs-bin is supposed to create /var/run/reboot-required-kdelibs in
    its postinst, containing the installed upstream version. If the version
    is different from the one the module was started with a reboot event
    is shown. 

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 11 Nov 2012 17:17:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev
 Standards-Version: 3.9.2
 Homepage: https://launchpad.net/kubuntu-notification-helper
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-notification-helper/trunk
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-notification-helper/trunk
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-notification-helper/trunk
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-notification-helper/trunk
 
 Package: kubuntu-notification-helper
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, konsole | x-terminal-emulator,
-  qapt-batch
+  qapt-batch, ubuntu-release-upgrader-qt
 Recommends: apport-kde | apport-gtk
 Description: Kubuntu system notification helper
  Kubuntu Notification Helper is a daemon that presents various notifications

## kubuntu-notification-helper 13.04ubuntu3

=== debian/changelog ===
kubuntu-notification-helper (13.04ubuntu3) raring; urgency=low

  * Build-dep on pkg-kde-tools (>= 0.15.3ubuntu7)
    + Previous versions were missing the python dep for msgsplit, so
      desktop file pot creation was supposedly not correct.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 18 Mar 2013 14:20:03 +0100

kubuntu-notification-helper (13.04ubuntu2) raring; urgency=low

  * Set X-Ubuntu-Use-Langpack: yes in control to enable pot generation
  * Build depend on pkg-kde-tools >= 0.15.3ubuntu5 to ensure l10n creation works
  * General package changes/updaes:
    + Add debian/source/options to compress with xz/9
    + Bump standards version to 3.9.4
    + Build depend on debhelper >= 9 and set compat to 9
  * Fix sequence call order in rules (first $@ for target, then sequence args)
  * Convert copyright to dep5

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Mar 2013 00:03:47 +0100

## kubuntu-notification-helper 13.10ubuntu1

=== CMakeLists.txt ===
project(notificationhelper)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})

add_subdirectory(src)

# Add translations
include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory(po)

=== debian/changelog ===
kubuntu-notification-helper (13.10ubuntu1) saucy; urgency=low

  * Add translations from Launchpad

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Oct 2013 13:07:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.3ubuntu7), cmake,
+ kdelibs5-dev
+Standards-Version: 3.9.4
+X-Ubuntu-Use-Langpack: yes
 Homepage: https://launchpad.net/kubuntu-notification-helper
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-notification-helper/trunk
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-notification-helper/trunk

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --dbg-package=kubuntu-notification-helper-dbg --with kde

## kubuntu-notification-helper 14.04ubuntu11

=== CMakeLists.txt ===
project(kubuntu-notification-helper)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(QApt)

find_package(Kubuntu QUIET CONFIG)
set_package_properties(Kubuntu
    PROPERTIES DESCRIPTION "Kubuntu Platform Integration"
#    URL ""
    TYPE REQUIRED
    PURPOSE "Kubuntu specific l10n bits."
)

include_directories(${QT_INCLUDES} ${KDE4_INCLUDES} ${KUBUNTU_INCLUDE_DIR})
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DVERSION_STRING=\\"${VERSION_STRING}\\")
add_definitions(-std=c++11)

if(START_TIMEOUT)
    message(STATUS "timeout ${START_TIMEOUT}")
    add_definitions(-DSTART_TIMEOUT=${START_TIMEOUT})
endif()

add_subdirectory(data)
add_subdirectory(src)

# Add translations
include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory(po)

=== data/CMakeLists.txt ===
install(PROGRAMS whoopsie-upload-all DESTINATION ${DATA_INSTALL_DIR}/kubuntu-notification-helper)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)

add_subdirectory(ar)
add_subdirectory(ast)
add_subdirectory(be)
add_subdirectory(bg)
add_subdirectory(bn)
add_subdirectory(bs)
add_subdirectory(ca)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(en_AU)
add_subdirectory(en_CA)
add_subdirectory(en_GB)
add_subdirectory(eo)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(eu)
add_subdirectory(fa)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(he)
add_subdirectory(hr)
add_subdirectory(hu)
add_subdirectory(id)
add_subdirectory(is)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(km)
add_subdirectory(ko)
add_subdirectory(lb)
add_subdirectory(lt)
add_subdirectory(lv)
add_subdirectory(mh)
add_subdirectory(mi)
add_subdirectory(ml)
add_subdirectory(mr)
add_subdirectory(ms)
add_subdirectory(my)
add_subdirectory(nb)
add_subdirectory(nl)
add_subdirectory(nn)
add_subdirectory(oc)
add_subdirectory(pa)
add_subdirectory(pl)
add_subdirectory(ps)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(sd)
add_subdirectory(se)
add_subdirectory(shn)
add_subdirectory(sk)
add_subdirectory(sl)
add_subdirectory(sq)
add_subdirectory(sr)
add_subdirectory(sv)
add_subdirectory(ta)
add_subdirectory(th)
add_subdirectory(tr)
add_subdirectory(ug)
add_subdirectory(uk)
add_subdirectory(vi)
add_subdirectory(zh_CN)
add_subdirectory(zh_HK)
add_subdirectory(zh_TW)

=== src/CMakeLists.txt ===
add_subdirectory(daemon)
add_subdirectory(kcmodule)

=== po/bn/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(bn ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/id/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(id ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/lb/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(lb ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/mh/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(mh ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/mi/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(mi ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/my/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(my ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/sd/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(sd ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/zh_HK/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(zh_HK ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kubuntu-notification-helper (14.04ubuntu11) trusty; urgency=medium

  * Set dbusinterface timeout to highest possible value to prevent timeouts
    when the dbus helper is tediously slow (LP: #1303209)

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 07 Apr 2014 14:55:41 +0200

kubuntu-notification-helper (14.04ubuntu10) trusty; urgency=medium

  * Work around a bug in ubuntu-drivers-common not reporting the vbox
    dkms driver as recommended. Previously recommended && !installed were the
    primary requirements for a driver notification. Now we will also consider
    the possible-driver-list-length. If the list only has one entry we will
    show a notification even if that one entry is not recommended.
  * Add a kDebug to the module's ::init to see when the lazy init timer 
    actually runs out.
 
 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 02 Apr 2014 11:52:05 +0200

kubuntu-notification-helper (14.04ubuntu9) trusty; urgency=medium

  * Port driverevent to new dbus API, needs some code copy for marshalling
    as doing an automarshall to variant types somehow does not work
    as expected.
    + This repairs driver availability notification
  * Instead of harcoding the init delay, allow definition through cmake,
    debian/rules now defines the standard 3 minute delay while manual builds
    will default to 1second. This removes the need to manually twiddle the
    value when one wants to test changes.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 01 Apr 2014 13:28:16 +0200

kubuntu-notification-helper (14.04ubuntu8) trusty; urgency=medium

  * Catch another source of PermissionError in whoopsie-upload-all,
    this should now handle all sources of permission errors LP: #1281884
  * Implement simple unique application tracking by registering on dbus,
    this prevents multiple invocation triggers. Also, the long
    upload timeout is less concerning with a unique application.
    + Depends on python3-dbus
  * Upload timeout reduced from 30 minutes to 15 minutes. This is just as
    arbitrary a value, but really 15 minutes should be more than enough time
    for most systems. With a 30 minute timeout and a bad connection one
    can easily get into a situation where upload-all is running 24/7, reducing
    the timeout improves this at least slightly.
  * Try apport report add_*() and except (OSError, SystemError, ValueError) to
    prevent unhandled exceptions when the system runs out of disk space for
    example LP: #1292766

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 17 Mar 2014 13:06:34 +0100

kubuntu-notification-helper (14.04ubuntu7) trusty; urgency=medium

  [ Rohan Garg ]
  * Really fix LP: #1282074
  * Fix LP: #1282107 by making the kcm write PCI values
    and the kded module reading them.
  * Implement enabling/disabling notifications for
    Driver Events (LP: #1282107)

  [ Harald Sitter ]
  * Catch PermissionError in whoopsie-upload-all open()
  * Bump standards version from 3.9.4 to 3.9.5

 -- Harald Sitter <apachelogger@kubuntu.org>  Sun, 23 Feb 2014 17:40:42 +0100

kubuntu-notification-helper (14.04ubuntu6) trusty; urgency=low

  [ Harald Sitter ]
  * Prevent events from spwaning more than one notifier item at a time.
    Notifications are still issued whenever show() is called as they serve
    a reminding purpose. LP: #1275427
  * Drop ubuntu-release-upgrader-qt depends (upgrade handling moved to muon)
  * Implement L10nEvent notifying the user once (after login) if the language
    support is incomplete and uses qapt-batch to complete it.
    + Add new build dep on libkubuntu to do completeness checks.
  * Event::show now only manually dispatches a KNotification iff tray icons
    are deactivated. KSNI has a dedicated showMessage function that handles
    issuing a notification for a present KSNI, this also avoids pixmap passing
    in default installation giving an overall better quality.
  * Bump KNotification pixmap size to 32x32 (from 22x22) to reduce amount of
    ugly scaling artifacts (going up or down from 32 is more reasonable than
    for example 22 to 64 - as would be the case with a plasma notification).
  * Drop unused kcm_notificationhelper-es.po (supposedly the export from
    launchpad went wrong in 13.10)
  * Change module.cpp init list to c++11 'nullptr' and fix indention level

  [ Rohan Garg ]
  * Add a DriverEvent class to show notifications when the system has extra
    drivers that can be installed.
    + Misc. bug fixes 
      - LP: #128208 , LP: #1282082 , LP: #1282085 , LP: #1282471 ,
        LP: #1282468 , LP: #1282074 , LP: #1282462, LP: #1282095 ,
        LP: #1282464
  * Add runtime dep on kubuntu-driver-manager

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 20 Feb 2014 18:07:22 +0100

kubuntu-notification-helper (14.04ubuntu3) trusty; urgency=low

  * Add more useful debug output regarding the apport event.
  * Install whoopsie-upload-all as PROGRAMS, otherwise cmake won't set
    the executable flags and execution won't work.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 20 Jan 2014 13:17:29 +0100

kubuntu-notification-helper (14.04ubuntu2) trusty; urgency=low

  * Only display apport events for *.crash files.
  * Change the apportEvent slot to accept a file argument for atomic file name
    checks.
  * Introduce apport crash file validity check (must end in .crash & must
    be readable by the user & must not have .upload file & must not have
    .uploaded file).
    This greatly reduces pointless notification triggers.
  * Set VERSION_STRING via debian/rules, passed as define through cmake.
  * Use VERSION_STRING define instead of hardcoding versions.
  * Rename CMake project from notificationhelper to kubuntu-notification-helper
  * whoopsie-integration-set:
    + Add new class CrashFile to apportevent.h
      This class has the properties validity and autouploadallowed. Former
      is representing regular validity as mentioned above and latter checks


=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.3ubuntu7), cmake,
- kdelibs5-dev
-Standards-Version: 3.9.4
+ kdelibs5-dev, libkubuntu-dev (>= 14.04ubuntu3), libqapt-dev
+Standards-Version: 3.9.5
 X-Ubuntu-Use-Langpack: yes
 Homepage: https://launchpad.net/kubuntu-notification-helper
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-notification-helper/trunk
@@ -14,7 +14,7 @@
 Package: kubuntu-notification-helper
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, konsole | x-terminal-emulator,
-  qapt-batch, ubuntu-release-upgrader-qt
+  qapt-batch, kubuntu-driver-manager, python3-dbus
 Recommends: apport-kde | apport-gtk
 Description: Kubuntu system notification helper
  Kubuntu Notification Helper is a daemon that presents various notifications

=== debian/rules ===
#!/usr/bin/make -f

version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

%:
	dh $@ --parallel --dbg-package=kubuntu-notification-helper-dbg --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION_STRING=$(version) -DVERSION_STRING="3*60*1000"

## kubuntu-notification-helper 14.10ubuntu2

=== debian/changelog ===
kubuntu-notification-helper (14.10ubuntu2) utopic; urgency=medium

  * Fix a logic error with init handling -> explicitly set the init bool to
    true/false, previously it would always be true as a return was missing

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 25 Jun 2014 10:46:45 +0200

kubuntu-notification-helper (14.10ubuntu1) utopic; urgency=medium

  * Order driverevent LP: #1282470
  * Fix cmake based lazy timeout setting
  * Move driverevent apt init to show() to make object construction cheaper
    and take advantage of lazy init

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 09 Apr 2014 11:34:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

%:
	dh $@ --parallel --dbg-package=kubuntu-notification-helper-dbg --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION_STRING=$(version) -DSTART_TIMEOUT="3*60*1000"

## kubuntu-notification-helper 15.04ubuntu5

=== CMakeLists.txt ===
project(kubuntu-notification-helper)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.14 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

find_package(Qt5 5.0.0 CONFIG REQUIRED DBus)

find_package(KF5 5.0.0 REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    DBusAddons
    KIO
    I18n
    Notifications
    Service
    WindowSystem
    XmlGui)

find_package(QApt 3.0.0 REQUIRED)

find_package(Kubuntu 1 REQUIRED QUIET CONFIG)
set_package_properties(Kubuntu
    PROPERTIES DESCRIPTION "Kubuntu Platform Integration"
#    URL ""
    TYPE REQUIRED
    PURPOSE "Kubuntu specific l10n bits."
)

add_definitions(-DVERSION_STRING=\"${VERSION_STRING}\")

if(START_TIMEOUT)
    message(STATUS "timeout ${START_TIMEOUT}")
    add_definitions(-DSTART_TIMEOUT=${START_TIMEOUT})
endif()

add_subdirectory(autotests)
add_subdirectory(data)
add_subdirectory(src)

# Add translations
# ecm_optional_add_subdirectory(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 MESSAGE(FATAL_ERROR "Please install msgmerge binary")
 endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
 
+add_subdirectory(am)
 add_subdirectory(ar)
 add_subdirectory(ast)
 add_subdirectory(be)
@@ -16,6 +17,8 @@
 add_subdirectory(bn)
 add_subdirectory(bs)
 add_subdirectory(ca)
+add_subdirectory(ca@valencia)
+add_subdirectory(ce)
 add_subdirectory(cs)
 add_subdirectory(da)
 add_subdirectory(de)
@@ -30,6 +33,7 @@
 add_subdirectory(fa)
 add_subdirectory(fi)
 add_subdirectory(fr)
+add_subdirectory(fr_CA)
 add_subdirectory(ga)
 add_subdirectory(gl)
 add_subdirectory(he)

=== po/am/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(am ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/ce/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ce ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/fr_CA/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(fr_CA ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kubuntu-notification-helper (15.04ubuntu5) vivid; urgency=medium

  * Fix up restricted install hook LP: #1439147
  * Fix up reboot event LP: #1439141

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Apr 2015 18:45:58 +0200

kubuntu-notification-helper (15.04ubuntu4) vivid; urgency=medium

  * Fix infinite recursion and language lookup in hooks LP: #1434226
    + New class Locale to rip apart an input locale and build possible
      language value combinations from it. This is needed as some hooks use
      the encoding as part of the language identifier, which the previous code
      entirely disregarded.
    + Fix inifinte recursion when reading hook fields that broke in the qt5
      port as two functions differing by argument were folded into one causing
      infinite recursion when trying to read the actual values out of the map.
    + Defer the actual reading from the map to QMap#value which is really what
      should have been used all along (use case: read value, but fall back to
      default if key is not present).
    + Introduce a simple test case for hook reading checking invalidity and
      validity and actually reading fields along with 2 localized versions in
      the formats I have seen in use.
    + Introduce a test case for the new locale class ensuring that locale
      parsing is working as well as combination construction is correct and
      returns a list with correct order.
  * Import translations from launchpad.
  * Fix kcmshell4 -> kcmshell5 call.

 -- Harald Sitter <sitter@kde.org>  Wed, 01 Apr 2015 16:13:56 +0200

kubuntu-notification-helper (15.04ubuntu3) vivid; urgency=medium

  * Fix install paths
  * Fix .desktop file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 31 Mar 2015 12:54:15 +0200

kubuntu-notification-helper (15.04ubuntu2) vivid; urgency=medium

  * Set library translation domain for kded and kcm so that translations are
    actually loaded.

 -- Harald Sitter <sitter@kde.org>  Thu, 26 Mar 2015 12:47:01 +0100

kubuntu-notification-helper (15.04ubuntu1) vivid; urgency=medium

  * KDE Frameworks 5 port

 -- Harald Sitter <sitter@kde.org>  Wed, 21 Jan 2015 09:36:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,34 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.3ubuntu7), cmake,
- kdelibs5-dev, libkubuntu-dev (>= 14.04ubuntu3), libqapt-dev
+Build-Depends: cmake,
+               debhelper (>= 9),
+               extra-cmake-modules,
+               kio-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5dbusaddons-dev,
+               libkf5i18n-dev,
+               libkf5notifications-dev,
+               libkf5service-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
+               libkubuntu-dev (>= 15.04),
+               libqapt-dev (>= 3.0.0),
+               pkg-kde-tools (>= 0.15.3ubuntu7)
 Standards-Version: 3.9.5
 X-Ubuntu-Use-Langpack: yes
-Homepage: https://launchpad.net/kubuntu-notification-helper
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-notification-helper/trunk
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-notification-helper/trunk
+Homepage: https://www.kubuntu.org
 
 Package: kubuntu-notification-helper
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, konsole | x-terminal-emulator,
-  qapt-batch, kubuntu-driver-manager, python3-dbus
+Depends: konsole | x-terminal-emulator,
+         kubuntu-driver-manager,
+         python3-dbus,
+         qapt-batch,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: apport-kde | apport-gtk
 Description: Kubuntu system notification helper
  Kubuntu Notification Helper is a daemon that presents various notifications
@@ -34,8 +50,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, kubuntu-notification-helper (= ${binary:Version})
-Recommends: kdelibs5-dbg
+Depends: kubuntu-notification-helper (= ${binary:Version}), ${misc:Depends}
 Description: Kubuntu Notification Helper debugging symbols
  This package contains debugging symbols for Kubuntu Notification Helper.
  When Kubuntu Notification Helper crashes, in most cases this package is

=== debian/rules ===
#!/usr/bin/make -f

version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

%:
	dh $@ --parallel --dbg-package=kubuntu-notification-helper-dbg --with kf5

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION_STRING=$(version) -DSTART_TIMEOUT="3*60*1000" \
                             -DCMAKE_BUILD_TYPE=Debian -DCMAKE_USE_RELATIVE_PATHS=ON \
                             -DCMAKE_INSTALL_SYSCONFDIR=/etc -DKDE_INSTALL_USE_QT_SYS_PATHS=ON

## kubuntu-notification-helper 15.10ubuntu2

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,3 +49,6 @@
 # ecm_optional_add_subdirectory(po)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+find_package(KF5I18n CONFIG REQUIRED)
+ki18n_install(po)

=== debian/changelog ===
kubuntu-notification-helper (15.10ubuntu2) wily; urgency=medium

  * Fix rules. "Make - Like Perl, but Worse"

 -- Harald Sitter <sitter@kde.org>  Tue, 29 Sep 2015 11:20:08 +0200

kubuntu-notification-helper (15.10ubuntu1) wily; urgency=medium

  * New release for 15.10, updating translations

 -- Harald Sitter <sitter@kde.org>  Tue, 22 Sep 2015 14:36:57 +0200

## kubuntu-notification-helper 18.04ubuntu1

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(Qt5Test 5.0.0 REQUIRED NO_MODULE)
set_package_properties(Qt5Test PROPERTIES PURPOSE "Required for tests")

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include(ECMAddTests)

add_definitions( -DTEST_DATA="${CMAKE_CURRENT_SOURCE_DIR}/data" )

ecm_add_test(TEST_NAME hooktest
    hooktest.cpp
    ../src/daemon/hookevent/hook.cpp
    ../src/daemon/hookevent/locale.cpp
    LINK_LIBRARIES
        Qt5::Core
        Qt5::Test
        KF5::CoreAddons
        KF5::Service
)

ecm_add_test(TEST_NAME localetest
    localetest.cpp
    ../src/daemon/hookevent/locale.cpp
    LINK_LIBRARIES
        Qt5::Core
        Qt5::Test
        KF5::CoreAddons
        KF5::Service
)

=== src/daemon/CMakeLists.txt ===
set(notificationhelper_SRCS
    notificationhelpermodule.cpp
    event.cpp
    configwatcher.cpp
    apportevent/apportevent.cpp
    hookevent/hookevent.cpp
    hookevent/hookgui.cpp
    hookevent/hook.cpp
    hookevent/locale.cpp
    installevent/installdbuswatcher.cpp
    installevent/installevent.cpp
    installevent/installgui.cpp
    l10nevent/l10nevent.cpp
    rebootevent/rebootevent.cpp
    driverevent/Device.cpp
    driverevent/driverevent.cpp
)
message(WARNING "hookevent is a pile of madness including locale....")

QT5_ADD_DBUS_ADAPTOR(notificationhelper_SRCS org.kubuntu.NotificationHelper.xml
                     configwatcher.h ConfigWatcher)
QT5_ADD_DBUS_ADAPTOR(notificationhelper_SRCS installevent/org.kubuntu.restrictedInstall.xml
                     installevent/installdbuswatcher.h InstallDBusWatcher)
QT5_ADD_DBUS_ADAPTOR(notificationhelper_SRCS org.kubuntu.NotificationHelper.xml
                     configwatcher.h ConfigWatcher)

set(drivermanagerobject_xml driverevent/org.kubuntu.DriverManager.xml)
set_source_files_properties(${drivermanagerobject_xml}
    PROPERTIES INCLUDE driverevent/drivermanagerdbustypes.h)
QT5_ADD_DBUS_INTERFACE(notificationhelper_SRCS ${drivermanagerobject_xml}
                       drivermanager_interface)

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"notificationhelper\")

add_library(kded_notificationhelper MODULE ${notificationhelper_SRCS})

target_link_libraries(kded_notificationhelper
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::I18n
    KF5::Notifications
    KF5::Service
    KF5::WindowSystem
    KF5::XmlGui
    Kubuntu::Main
    QApt::Main)

install(TARGETS kded_notificationhelper DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES notificationhelper.notifyrc DESTINATION ${DATA_INSTALL_DIR}/notificationhelper)
install(FILES notificationhelper.desktop  DESTINATION  ${SERVICES_INSTALL_DIR}/kded)

=== src/kcmodule/CMakeLists.txt ===
set(notificationhelperconfig_SRCS
    notificationhelperconfigmodule.cpp
)

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_notificationhelper\")

add_library(kcm_notificationhelper MODULE ${notificationhelperconfig_SRCS})

target_link_libraries(kcm_notificationhelper
    Qt5::DBus
    KF5::ConfigWidgets
    KF5::I18n)

install(TARGETS kcm_notificationhelper DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kcm_notificationhelper.desktop  DESTINATION  ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kubuntu-notification-helper (18.04ubuntu1) bionic; urgency=medium

  * In 2018, don't bug users to install flash plugin. (LP: #1579723)
  * Automatic translation updates from KDE

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Dec 2017 10:09:35 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                libqapt-dev (>= 3.0.0),
                pkg-kde-tools (>= 0.15.3ubuntu7)
 Standards-Version: 3.9.5
-X-Ubuntu-Use-Langpack: yes
 Homepage: https://www.kubuntu.org
 
 Package: kubuntu-notification-helper

## kubuntu-notification-helper 18.10ubuntu1

=== debian/changelog ===
kubuntu-notification-helper (18.10ubuntu1) cosmic; urgency=medium

  * Update Kio build dependency: kio-dev -> libkf5kio-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 09 Jun 2018 21:52:52 +0100

## kubuntu-notification-helper 19.10ubuntu1

=== debian/changelog ===
kubuntu-notification-helper (19.10ubuntu1) eoan; urgency=medium

  * Change KCM parent category to 'personalization'.
  * Updated translations.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 30 Jun 2019 11:23:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                extra-cmake-modules,
-               kio-dev,
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,
                libkf5dbusaddons-dev,
                libkf5i18n-dev,
+               libkf5kio-dev,
                libkf5notifications-dev,
                libkf5service-dev,
                libkf5windowsystem-dev,

## kubuntu-notification-helper 19.10ubuntu2

=== debian/changelog ===
kubuntu-notification-helper (19.10ubuntu2) focal; urgency=medium

  * Drop depends on driver manager.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2020 09:34:33 +0000

=== debian/rules ===
#!/usr/bin/make -f

version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

%:
	dh $@ --parallel --dbg-package=kubuntu-notification-helper-dbg --with kf5

override_dh_auto_configure:
	dh_auto_configure -- \
		-DVERSION_STRING=$(version) \
		-DSTART_TIMEOUT="3*60*1000" \
		-DCMAKE_BUILD_TYPE=Debian \
		-DCMAKE_USE_RELATIVE_PATHS=ON \
		-DCMAKE_INSTALL_SYSCONFDIR=/etc \
		-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

kubuntu_rake:
	rm -rf .kubuntu-rake
	if [ -e .git ]; then \
		git clone kde:scratch/sitter/kubuntu-rake .kubuntu-rake; \
		cp .kubuntu-rake/Rakefile .; \
	fi
	if [ -e Rakefile ]; then rake; fi

override_dh_auto_clean: kubuntu_rake
	dh_auto_clean

## kubuntu-notification-helper 19.10ubuntu5

=== data/CMakeLists.txt ===
install(PROGRAMS whoopsie-upload-all DESTINATION ${DATA_INSTALL_DIR}/kubuntu-notification-helper)
message(WARNING "the stinky old thing should use a proper name everywhere else :@ currently installs to notificationhelper as well")

=== debian/changelog ===
kubuntu-notification-helper (19.10ubuntu5) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:44:00 +0200

kubuntu-notification-helper (19.10ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:11:11 +0000

kubuntu-notification-helper (19.10ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:29:01 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
 Package: kubuntu-notification-helper
 Architecture: any
 Depends: konsole | x-terminal-emulator,
-         kubuntu-driver-manager,
          python3-dbus,
          qapt-batch,
          ${misc:Depends},
